module Config.Helpers.Header exposing
    ( Header
    , headerMaker
    )

import Config.Helpers.CardFormat exposing (..)
import Element as E
    exposing
        ( Element
        , column
        , row
        , text
        )


headerMaker : Header -> Element msg
headerMaker header =
    row
        topLevelBox
        [ cardMaker
            [ cardTitleMaker header.headerTitle
            , cardFormatter
                [ cardContentSpacing
                    [ column
                        fieldSpacer
                        [ cardSubTitleMaker
                            [ text header.headerBody ]
                        ]
                    ]
                ]
            ]
        ]


type alias Header =
    { headerTitle : String
    , headerBody : String
    }
