module Config.Helpers.Response exposing (..)

import Config.Style.Colour exposing (colourTheme)
import Element as E exposing (..)
import Element.Background as B exposing (color)


topLevelContainer : Element msg -> Element msg
topLevelContainer =
    el
        [ width fill
        , height fill
        , B.color colourTheme.backgroundLightGrey
        , scrollbarY
        ]


pageListCenter : List (Attribute msg)
pageListCenter =
    [ centerY
    ]
        ++ pageListFormat


pageList : List (Attribute msg)
pageList =
    [ alignTop
    ]
        ++ pageListFormat


pageListFormat : List (Attribute msg)
pageListFormat =
    [ spacing 30
    , centerX
    , padding 30
    , width (fill |> minimum 100)
    , width (fill |> maximum 875)
    , scrollbarY
    ]
