module Config.Pages.Debate.Arguments.Records.UnhealthyProcessedMeat exposing (..)

import Config.Pages.Debate.Arguments.Types exposing (..)


argumentUnhealthyProcessedMeat : Argument
argumentUnhealthyProcessedMeat =
    { argumentTitle = "Argument for Unhealthy Processed Meat"
    , propositionTitle = "Processed meat is overwhelmingly unhealthy."
    , propositionReductio = ""
    , propositionSummary = "Even when you account for factors that could plausibly influence the results, processed meat has been shown to consistently increase the risk of morbidity and mortality, strongly suggesting that they directly contribute to worse health outcomes, particularly with respect to colorectal cancer and heart disease."
    , proofLink = "https://www.umsu.de/trees/#(~6x(Px~4Qx)),(Qs)|=(Ps)"
    , argumentCertainty = 8
    , argumentImage = "processedmeat"
    , argumentHashtags = []
    , definitionTable =
        [ { definiendum = "P(x)"
          , definiens = "(x) is overwhelmingly unhealthy"
          }
        , { definiendum = "Q(x)"
          , definiens = "(x) consistently associates with an increased risk of morbidity and mortality after adjustment or control over relevant confounders and covariates"
          }
        , { definiendum = "x"
          , definiens = "a food"
          }
        , { definiendum = "s"
          , definiens = "processed meat"
          }
        ]
    , argumentFormalization =
        [ { premises =
                [ { premise = "For all things, a food is overwhelmingly unhealthy if, and only if, the food consistently associates with an increased risk of morbidity and mortality after adjustment or control over relevant confounders and covariates."
                  , notation = "∀x(Px↔Qx)"
                  }
                , { premise = "Processed meat consistently associates with an increased risk of morbidity and mortality after adjustment or control over relevant confounders and covariates."
                  , notation = "Qs"
                  }
                ]
          , conclusion = "Therefore, processed meat is overwhelmingly unhealthy."
          , conclusionNotation = "Ps"
          }
        ]
    }
