module Config.Pages.Debate.Cuckery.Records.DavidDiamond exposing (..)

import Config.Pages.Debate.Cuckery.Types exposing (..)
import Config.Helpers.Converters exposing (formatName)


cuckDavidDiamond : Cuck
cuckDavidDiamond =
    let
        name : String
        name =
            "David Diamond"

        statinProp : String
        statinProp =
            "Statin therapy is not warranted for a person high LDL-C on a low-carb diet."
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/LDLSkeptic"
    , cuckDodges =
        [ { dodgeLink = "https://x.com/LDLSkeptic/status/1583471298306375681?s=20"
          , dodgeDescription = OutrightNo
          , dodgeProposition = statinProp
          , dodgeReceipts = []
          , dodgeFallacy = Just (SpecificFallacy "")
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propLDLCausality
          }
        , { dodgeLink = "https://x.com/LDLSkeptic/status/1583481964840902656?s=20"
          , dodgeDescription = KillScreen
          , dodgeProposition = statinProp
          , dodgeReceipts = []
          , dodgeFallacy = Just (SpecificFallacy "")
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propLDLCausality
          }
        ]
    }
