module Config.Pages.Services.Records.NutritionScience exposing (..)

import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Services.Types exposing (..)
import Element as E exposing (..)
import Route.Path as Path


servicesNutritionScience : Service msg
servicesNutritionScience =
    let
        name : String
        name =
            "Nutrition Science"
    in
    { serviceImage = formatName name
    , serviceLink = Path.toString Path.Services_Nutrition
    , serviceName = name
    , serviceRate = "$50/hr"
    , serviceDescription =
        [ { point = "Participate in a focused, one-hour Q&A session on nutrition science." }
        , { point = "Inquire about methodology, epistemology, and study interpretation." }
        , { point = "Gain access to nutrition science interpretation cheat sheets." }
        , { point = "Simplify and streamline the research appraisal process." }
        ]
    , serviceArticle =
        { articleTitles =
            { title1 = "What You Get"
            , title2 = "Requirements"
            , title3 = ""
            , title4 = ""
            , title5 = ""
            , title6 = ""
            , title7 = ""
            , title8 = ""
            , title9 = ""
            , title10 = ""
            }
        , articleParagraph =
            { paragraph1 = [  text "This service is designed to help those interested in honing their nutrition science knowledge and boosting their intuition when reading nutrition science literature. Whether the client's goals are to achieve their academic ambitions, satisfy their personal curiosity, or improve their empirical debate chops. The client is free to guide the session in any direction they choose, so long as it is relevant to nutrition science." ]
            , paragraph2 = []
            , paragraph3 = []
            , paragraph4 = []
            }
        , articleListEntries =
            { list1 =
                [ "One hour to ask me anything about nutrition science."
                , "Access to nutrition science evaluation cheat sheets."
                , "Sharper nutrition science critical appraisal skills."
                ]
            , list2 =
                [ "A list of five clear questions related to nutrition science."
                ]
            , list3 =
                []
            , list4 =
                []
            , list5 =
                []
            , list6 =
                []
            , list7 =
                []
            , list8 =
                []
            , list9 =
                []
            , list10 =
                []
            }
        }
    }
